<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:lang="en" xml:id="modbus_tcpListen">
  <refnamediv>
    <refname>modbus_tcpListen</refname>

    <refpurpose> create and listen a TCP Modbus socket.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>
status = modbus_tcpListen(mbc, nbConnection)
[status, ierr] = modbus_tcpListen(mbc, nbConnection)
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Arguments</title>
    <variablelist>
      <varlistentry>
        <term>mbc</term>
        <listitem>
          <para>The Modbus connection created with modbus_newTcp or modbus_newRtu.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>nbConnection</term>
        <listitem>
          <para>The number of connection to listen to.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>status</term>
        <listitem>
          <para>0 if connection was successful and -1 otherwise.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>ierr</term>
        <listitem>
          <para>Erreur number.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Create a socket and listen for <literal>nbConnection</literal> incoming connections.</para>

    <para>When called with one output argument, a Scilab error will occur when the operation fails. When called with two output arguments, no Scilab error will occur but <literal>ierr</literal> will contain the internal modbus error number.</para>

  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[
    mbc = modbus_newTcp("127.0.0.1", 502)
    modbus_tcpListen(mbc, 1)
    modbus_close(mbc)
    modbus_free(mbc)
    ]]></programlisting>
  </refsection>

</refentry>
